<?xml version="1.0" encoding="UTF-8"?>
<module xmlns="urn:jboss:module:1.3" name="org.infinispan.core" slot="ispn-9.1">
    <properties>
        <property name="jboss.api" value="private"/>
    </properties>
    <resources>
        <resource-root path="infinispan-core.jar"/>
        <!-- Insert resources here -->
    </resources>

    <dependencies>
        <module name="javax.api"/>
        <module name="javax.transaction.api"/>
        <module name="org.apache.xerces" services="import"/>
        <module name="org.infinispan.commons" slot="ispn-9.1" />
        <module name="com.github.ben-manes.caffeine" slot="ispn-9.1"/>
        <module name="org.jboss.jandex"/>
        <module name="org.jboss.logging"/>
        <module name="org.jboss.marshalling" slot="ispn-9.1" services="import"/>
        <module name="org.jgroups" slot="ispn-9.1"/>
        <module name="sun.jdk"/>
        <!-- The CacheStore modules are listed as dependencies so that people can use them even
          when they aren't directly exposed to the deployment !-->
        <module name="org.infinispan.persistence.jdbc" slot="ispn-9.1" services="import" optional="true"/>
        <module name="org.infinispan.persistence.jpa" slot="ispn-9.1" services="import" optional="true"/>
        <module name="org.infinispan.persistence.remote" slot="ispn-9.1" services="import" optional="true"/>
        <module name="org.infinispan.persistence.rest" slot="ispn-9.1" services="import" optional="true"/>
        <module name="org.infinispan.persistence.rocksdb" slot="ispn-9.1" services="import" optional="true"/>
    </dependencies>
</module>
